AWS IoT Device SDK C++ v2: Aws::Iotshadow::DeleteNamedShadowRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::DeleteNamedShadowRequest Class Referencefinal

`#include <DeleteNamedShadowRequest.h>`

## Public Member Functions
| DeleteNamedShadowRequest ()=default
| DeleteNamedShadowRequest (const Crt::JsonView &doc)
DeleteNamedShadowRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | ClientToken
Aws::Crt::Optional< Aws::Crt::String > | ShadowName
Aws::Crt::Optional< Aws::Crt::String > | ThingName

## Detailed Description

Data needed to make a DeleteNamedShadow request.

## Constructor & Destructor Documentation

## ◆ DeleteNamedShadowRequest() [1/2]

Aws::Iotshadow::DeleteNamedShadowRequest::DeleteNamedShadowRequest | ( |  | ) |
| default

## ◆ DeleteNamedShadowRequest() [2/2]

Aws::Iotshadow::DeleteNamedShadowRequest::DeleteNamedShadowRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

DeleteNamedShadowRequest & Aws::Iotshadow::DeleteNamedShadowRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::DeleteNamedShadowRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::DeleteNamedShadowRequest::ClientToken

Optional. A client token used to correlate requests and responses. Enter an arbitrary value here and it is reflected in the response.

## ◆ ShadowName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::DeleteNamedShadowRequest::ShadowName

Name of the shadow to delete.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::DeleteNamedShadowRequest::ThingName

AWS IoT thing to delete a named shadow from.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/DeleteNamedShadowRequest.h
- shadow/source/DeleteNamedShadowRequest.cpp